> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count reports matching filter



## OpenAPI

````yaml /openapi/reports.json post /reports/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reports/count:
    post:
      tags:
        - Reports
      summary: Count reports matching filter
      operationId: reports.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    alertId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Alert ID
                    contentHash:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Content Hash
                    outputFormat:
                      anyOf:
                        - enum:
                            - xml
                            - txt
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - xml
                                - txt
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - xml
                                  - txt
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - xml
                                  - txt
                                type: string
                      description: Output Format
                    referenceNumber:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Reference Number
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    isCurrent:
                      type: boolean
                      description: Is Current
                    sequence:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Sequence
                    size:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Size
                    generatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Generated At
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````